## ide-debug ide-debug |

## Functions

#define | IDE_TRACE_MSG()
#define | IDE_TODO()
#define | IDE_GOTO()
#define | IDE_RETURN()
#define | IDE_BUG()

## Types and Values

#define | IDE_ENABLE_TRACE
#define | IDE_PROBE
#define | IDE_ENTRY
#define | IDE_EXIT

## Description

## Functions

### IDE_TRACE_MSG()

    #define             IDE_TRACE_MSG(fmt, ...)

### IDE_TODO()

    #define             IDE_TODO(_msg)

### IDE_GOTO()

    #define             IDE_GOTO(_l)

### IDE_RETURN()

    #define             IDE_RETURN(_r)

### IDE_BUG()

    #define             IDE_BUG(Component, Description, ...)

## Types and Values

### IDE_ENABLE_TRACE

    # define IDE_ENABLE_TRACE 1

### IDE_PROBE

    #define             IDE_PROBE

### IDE_ENTRY

    #define             IDE_ENTRY

### IDE_EXIT

    #define             IDE_EXIT